MARTe2-core - User story #194

Report errors at all levels
19.08.2015 14:54 - Riccardo Vitelli

Status: Closed Start date: 19.08.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

For every function that might fail assert an error.

Source code files modified

Almost all files in LOPortability folder.

Architecture & design review

As per the original MARTe implementation, this is a support function and does not require formal design in UML.

Code and documentation review
Date of the review: 01/09/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 02/09/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Note: No new unit tests were added for this user story.

Associated revisions

Revision 0511769f - 27.08.2015 17:03 - Giuseppe Ferro

Error reporting finished
#194

History

#1 - 24.08.2015 15:15 - Riccardo Vitelli

11.04.2025 1/2




- Target version changed from Backlog to 0.4

#2 - 24.08.2015 15:24 - Riccardo Vitelli

- Description updated

#3 - 24.08.2015 15:25 - Riccardo Vitelli
- Status changed from New to Code: Impl

#4 - 26.08.2015 11:42 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 28.08.2015 11:29 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#6 - 28.08.2015 11:30 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

#7 - 01.09.2015 17:41 - lvan Herrero

- Description updated

#8 - 01.09.2015 17:42 - lvan Herrero
- Status changed from Code: Rev to Unit: Rev

#9 - 02.09.2015 17:45 - lvan Herrero

- Description updated

#10 - 03.09.2015 11:20 - André Neto
- Status changed from Unit: Rev to Closed
